Package org.eclipse.draw2d

# Class RelativeBendpoint

java.lang.Object
org.eclipse.draw2d.RelativeBendpoint

All Implemented Interfaces:
  `Bendpoint`

public class RelativeBendpoint extends Object implements Bendpoint
RelativeBendpoint is a Bendpoint that calculates its location based on its distance from the start and end points of the `Connection`, as well as its weight. See `setWeight(float)` for a description of what behavior different weights will provide.

## Constructor Summary

Constructors
Constructor
Description
`RelativeBendpoint()`
Constructs a new RelativeBendpoint.
`RelativeBendpoint(Connection conn)`
Constructs a new RelativeBendpoint and associates it with the given Connection.

## Method Summary

Modifier and Type
Method
Description
`protected Connection`
`getConnection()`
Returns the Connection this Bendpoint is associated with.
`Point`
`getLocation()`
Calculates and returns this Bendpoint's new location.
`void`
`setConnection(Connection conn)`
Sets the Connection this bendpoint should be associated with.
`void`
`setRelativeDimensions(Dimension dim1, Dimension dim2)`
Sets the Dimensions representing the X and Y distances this Bendpoint is from the start and end points of the Connection.
`void`
`setWeight(float w)`
Sets the weight this Bendpoint should use to calculate its location.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RelativeBendpoint

public RelativeBendpoint()
Constructs a new RelativeBendpoint.

Since:
  2.0

### RelativeBendpoint

public RelativeBendpoint(Connection conn)
Constructs a new RelativeBendpoint and associates it with the given Connection.

Parameters:
  `conn` - The Connection this Bendpoint is associated with
Since:
  2.0

## Method Details

### getConnection

protected Connection getConnection()
Returns the Connection this Bendpoint is associated with.

Returns:
  The Connection this Bendpoint is associated with
Since:
  2.0

### getLocation

public Point getLocation()
Calculates and returns this Bendpoint's new location.

Specified by:
  `getLocation` in interface `Bendpoint`
Returns:
  This Bendpoint's new location
Since:
  2.0

### setConnection

public void setConnection(Connection conn)
Sets the Connection this bendpoint should be associated with.

Parameters:
  `conn` - The Connection this bendpoint should be associated with
Since:
  2.0

### setRelativeDimensions

public void setRelativeDimensions(Dimension dim1, Dimension dim2)
Sets the Dimensions representing the X and Y distances this Bendpoint is from the start and end points of the Connection. These Dimensions are generally set once and are used in calculating the Bendpoint's location.

Parameters:
  `dim1` - The X and Y distances this Bendpoint is from the start of the Connection
  `dim2` - The X and Y distances this Bendpoint is from the end of the Connection
Since:
  2.0

### setWeight

public void setWeight(float w)
Sets the weight this Bendpoint should use to calculate its location. The weight should be between 0.0 and 1.0. A weight of 0.0 will cause the Bendpoint to follow the start point, while a weight of 1.0 will cause the Bendpoint to follow the end point. A weight of 0.5 (the default) will cause the Bendpoint to maintain its original aspect ratio between the start and end points.

Parameters:
  `w` - The weight
Since:
  2.0